Subject: Re: rm -R reports "circular reference"
From: [email-masked] (Larry Hall)

17 Mar 1998 07:08:30 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Weiqi Gao <[email-masked]>, [email-masked]

At 10:37 AM 3/14/98 -0600, Weiqi Gao wrote:
>Hi,
>
>I encountered an error while trying to "rm -R" a directory tree.  rm
>reports "circular reference" in the directory structure.
>
>I seem to remember seeing such errors being discussed, but couldn't find
>the details of when such error would occur.
>
>BTW.  The directory tree I tried to delete was the one created by "MS
>Media Manager" from the MS Visual Studio 97 Enterprise Edition.
>
>--
>Weiqi Gao
>[email-masked]

This occurs because of the current scheme for generating inodes.  It is 
based on the file name and is therefore not completely unique.  If rm
finds 2 files with the same inode number, you will get complaints.  IT
DOES NOT MEAN THERE ARE ANY PROBLEMS WITH THE FILE SYSTEM.  In UNIX 
environments, it does, but not here.  If you see this, you can still 
delete the remaining files/directories via DOS or Windows commands.  As
far as I know, this problem has not been completely addressed.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                    http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".